﻿@page
@model AspNetCoreRazorPage.Pages.IndexModel

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-page="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.EmpDetails[0].EmpName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.EmpDetails[0].Email)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.EmpDetails[0].Mobile)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.EmpDetails[0].Salary)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.EmpDetails) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.EmpName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Email)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Mobile)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Salary)
            </td>
            <td>
                <a asp-page="./Edit" asp-route-id="@item.EmpId">Edit</a> |
                <a asp-page="./Details" asp-route-id="@item.EmpId">Details</a> |
                <a asp-page="./Delete" asp-route-id="@item.EmpId">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
